Leaderboard


Popular Content

Showing content with the highest reputation since 06/17/18 in all areas

  1. 4 points
    perlon

    projekt_forum.dll

    Można nieco przyspieszyć pracę z kodem i umożliwić debugowanie kodu. Szczegóły na filmiku. Z góry przepraszam za słaby warsztat w nagrywaniu bo to mój pierwszy raz 😉
  2. 4 points
    s1016

    Program Kota

    Chciałbym podzielić się swoim pierwszym programikiem w c#. Jestem drogowcem, przy projektowaniu np parkingu bardzo dużo czasu traciłem na przeliczanie rzędnych i spadków. Napisałem (oczywiście z pomocą wujka google) prosty programik, bardzo mi pomaga, jeśli ktoś chętny, chętnie się podzielę Rzędne na projekcie opisuję blokami "kota2" z atrybutem. pierwsze polecenie "kkk" wstawia kotę pomiędzy dwie wskazane drugie polecenie "ksk" po wskazaniu pierwszej koty wstawia drugą wyliczoną na podstawie podanego spadku trzecie polecenie kks wstawia blok ze strzałką i opisem pomiędzy dwoma kotami. Oczywiście jak widać na filmiku pewne niedokładności wynikają z zaokrągleń do 2 miejsc po przecinku. kota 2018-11-12 21-43-25-444.mp4
  3. 4 points
    I jeszcze taki przykład
  4. 3 points
    I sam plik blok-dynamiczny-rozciaganie.dwg
  5. 2 points
    Adam Klaczek

    Arkusz a skala opisowa

    Dzień dobry, Czy skale opisowe (skale rzutni) ma Pan dodane do listy skal obiektów opisowych? Może ten krótki filmik będzie przydatny: Skale_opisowe.mp4
  6. 2 points
    alf

    Szablony i skrypty startowe ZWPack

    dziękuję serdecznie, zdecydowanie to "lisp number one" w mojej osobistej liście przebojów ostatniego dziesięciolecia 😁
  7. 2 points
    Dzień dobry, No to jest, jak Pani chciała: DWidok_Skrecenie_v2.lsp
  8. 2 points
    No to proszę: DWidok_Skrecenie.lsp Polecenie: DWS
  9. 2 points
    dmatusz3

    ZWNesting 2019

    W poniedziałek będzie premiera ZWNesting 2019 z możliwością obrotów. Poniżej dwa filmy pokazujące pracę nakładki (filmy zostały nieco skrócone - całkowity czas obliczeń to kilka minut).
  10. 2 points
    dmatusz3

    ZWNesting 2019

    Ostateczna wersja nakładki ZWNesting 2019 z możliwością obrotów elementów powinna być dostępna za kilka dni
  11. 2 points
    Zakładam, że okręgi są narysowane. 1. Wybierz polecenie kreślenia linii 2. Naciśnij przycisk "Styczny" (to kółko z linią styczną) na toolbarze "Lokalizacja względem obiektu". 3. kliknij mniej więcej w okolicę przewidywanej styczności. 4. Ponownie kliknij przycisk "Styczny" na toolbarze "Lokalizacja względem obiektu". 3. kliknij mniej więcej w okolicę przewidywanej styczności na drugim okręgu. KONIEC - masz odcinek styczny do obu.
  12. 1 point
    until
    Zapraszamy do spotkania z nami w Katowicach. Seminarium jest podzielone na 2 części. Więcej informacji na naszej stronie. Warto!
  13. 1 point
    kruszynski

    [DCL] Walidacja wartości edit-box'a

    NIezupełnie wyszło tak jak chciałem, ale może wystarczy. Blokuje inny element okna. ale nie przy każdej zmianie, ale przy zatwierdzaniu wartości, np przechodząc do innej komórki,albo [enter] na koniec. plik DCL wygląda tak: EditCheck : dialog { label = ""; :edit_box{ key="path"; label="Ścieżka"; edit_width=6; fixed_width=true; action = "(DCL:Edit:IsValid)"; } : button { action = "(done_dialog 0)"; key = "accept"; label = "Zapisz"; } : button { action = "(done_dialog 0)"; key = "cancel"; label = "Anuluj"; is_cancel = true; } } plik LSP tak: (defun DCL:Edit:IsValid ( / *error* ) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nDCL:Edit:IsValid :*error*: " ) (princ msg ) (princ "\n") ) ) ) (print (strcat "wartość wpisana do okna: " $key " to: " $value ) ) (if (= "" $value) (mode_tile "accept" 1) (mode_tile "accept" 0) ) ) (defun c:testEdit ( / dcl_id RunDialogResult coords LastPath *error* ) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nc:testEdit:*error*: " ) (princ msg ) (princ "\n") ) ) ) (setq DCL_Path "C:\\<< TWOJA ŚCIEŻKA >>\\edit_check.DCL") (setq dcl_id (load_dialog DCL_Path)) (setq RunDialogResult t ) (setq LastPath "" ) (while RunDialogResult (if(not(new_dialog "EditCheck" dcl_id))(exit)) (action_tile "cancel" "(done_dialog -1)") (setq RunDialogResult(start_dialog)) (cond ((= RunDialogResult 0) (progn (setq RunDialogResult nil ))) ; ESC pressed (t (print RunDialogResult)) ) ) (unload_dialog dcl_id) (princ) )
  14. 1 point
    perlon

    EncryptLISP

    Naskrobałem dcl'a dla ułatwienia wyboru plików do szyfrowania. Może komuś się przyda.
  15. 1 point
    To chyba chodzi raczej o zmianę koloru tła interfejsu, a nie o zmianę tła obszaru roboczego. Nie znalazłem jednak na tę chwilę jak to zmienić inaczej niż z menu. Ale poszukamy w poniedziałek.
  16. 1 point
    kruszynski

    [C#] Detekcja środowiska

    Znalazłem: namespace test { public class Class1 : ZwSoft.ZwCAD.Runtime.IExtensionApplication { public void Initialize() { MessageBox.Show("Initialize!"); } public void Terminate() { Console.WriteLine("Cleaning up..."); } [CommandMethod("test2492")] public static void test2492() { MessageBox.Show("Hello World!"); } } } Ale jestem z siebie dumny
  17. 1 point
    Adam Klaczek

    Obracanie przez odniesienie

    Zmienione: OO.lsp
  18. 1 point
    Dziękuję za informacje. Tak jak pisałem powyżej, u mnie problem rozwiązałem podmianą pliku DWG to PDF.pc5. Plik skopiowałem z ZWCADA 2018. Myślałem również o resecie profilu lub reinstalce, ale jako jedne z ostatnich możliwych rozwiązań. Zastanawiałem się właśnie czy to problem ZWCADA 2019 czy raczej przyczyną jest coś innego (np. dodatkowe nakładki lub jak wspominał @pawmal instalka wersji BETA). Dziękuję. Pozdrawiam
  19. 1 point
    Witam, nie wiem czy dobrze zrozumiałem. Chciałbym Pan otworzyć rozwijane menu z punktami charakterystycznymi? Proszę użyć kombinacji SHIFT+PPM. Czy to menu ma Pan na myśli? Możliwe, że ma Pan inne ustawienia w OPCJACH (OPCJE/USER PREFERENCES/RIGHT CLICK CUSTOMIZATION)
  20. 1 point
    Raczej przebudowują oprogramowanie forum i im się linki pozmieniały . W menu nawigacyjnym mają chyba niezaktualizowany link fora mają nowy adres: https://www.zwsoft.com/forum/forum.php Wątek dot. Zwcad Architecture , któremu także kibicuję 😉 nadal żyje. Widać go tu: https://www.zwsoft.com/forum/forum.php?mod=forumdisplay&fid=2 Pozdrowienia , J.
  21. 1 point
    Adam Klaczek

    Jak wyświetlić karty rysunków?

    Dzień dobry, Prawy przycisk myszy na wstążce, lub paskach i Etykieta dokumentu:
  22. 1 point
    A proszę uruchomić program jako administrator przez prawy przycisk myszy i sprawdzić lub skorzystać z pomocy zdalnej.
  23. 1 point
    dmatusz3

    Blok ze współrzędnymi X i Y

    Powyższa funkcjonalność z fieldami w atrybutach bloku będzie dostępna od wersji ZWCAD 2019. Poniżej film jak tego dokonać.
  24. 1 point
    Adam Klaczek

    Blok ze współrzędnymi X i Y

    Dzień dobry, Można to zrobić za pomocą _mleader i _field, ale wydaje się, że najprościej byłoby to zautomatyzować lispem, np. załączonym. Po wczytaniu, funkcję wywołuje się przez XY. (lisp na podstawie kodu z www.cad-notes.com) xy.lsp
  25. 1 point
    kojacek

    [ssget]

    Ja tam jestem zwolennikiem minimalizmu w kodzie: (ssget "_x" '((0 . "hatch")(-4 . "/=")(62 . 1)(-4 . "/=")(62 . 105))) 😉
This leaderboard is set to Warsaw/GMT+02:00